package cn.estsh.i3plus.core.apiservice.dao;

import cn.estsh.i3plus.pojo.platform.bean.*;

import java.util.List;

/**
 * @Description : 用户权限
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-25 20:24
 * @Modify :
 **/
public interface IUserPermissionDao {

    /**
     * 查询用户所有部门
`     * @param userInfo
     * @return
     */
    List<SysDepartment> findDepartmentByUser(SysUserInfo userInfo);

    /**
     * 查询用户所有角色
     * @param user
     * @return
     */
    List<SysRole> findSysRoleByUser(SysUser user);

    /**
     * 查询用户所有功能权限
     * @param user
     * @return
     */
    List<SysMenu> findSysMenuByUser(SysUser user);

    /**
     * 查询用户所有功能权限 Tree
     * @param user
     * @return
     */
    List<SysMenu> findSysMenuByUserTree(SysUser user);

    /**
     * 查询用户所有岗位
     * @param userInfo
     * @return
     */
    List<SysPosition> findPositionByUser(SysUserInfo userInfo);

}
